Subject: RE: bug#17077: 24.4.50; regression: `set-frame-size' results in wrong frame size

From: Drew Adams <[email-masked]>
Date: Mon, 24 Mar 2014 07:17:57 -0700 (PDT)

>  > (set-frame-size 75 64)
> (set-frame-size nil 75 64)

Yes, that's what I meant.

>  >   (width . 75) ; <==============================
>  >   (width . 74) ; <==============================
>  >
>  > fitting the frame to a width of 74 does not cut the mustard.
>  >
>  > Depending on the char (font) size, sometimes the frame fitting still
>  > works as it should.  But for other sizes it has this
>  > one-char-less-than-required-width failing.  E.g., this is the case
>  > also for font "-outline-Lucida
>  > Console-normal-normal-normal-mono-10-*-*-*-c-*-iso8859-1" (same font,
>  > with size 10).
> 
> Should be fixed with revision 116849 on the emacs-24 release branch.
> 
> Please also check whether bug#16923 is affected.  The "fix" that caused
> the present bug was a stab in direction of fixing 16923.

I'll take a look.  Thx.

(Will also still get back to you about 16923. I haven't had time to
look into it.)